//
//  DisplayDetailViewController.m
//  Map
//
//  Created by Christopher Prince on 3/21/13.
//  Copyright (c) 2013 Christopher Prince. All rights reserved.
//

#import "DisplayDetailViewController.h"

@interface DisplayDetailViewController ()
- (void)configureView;
@end

@implementation DisplayDetailViewController

#pragma mark - Managing the detail item

- (void)setDetailItem:(id)newDetailItem
{
    if (_detailItem != newDetailItem) {
        _detailItem = newDetailItem;
        
        // Update the view.
        [self configureView];
    }
}

- (void)configureView
{
    // Update the user interface for the detail item.

    if (self.detailItem) {
        self.detailDescriptionLabel.text = [self.detailItem description];
    }
}

    static MKMapView *map = nil;

    - (void) showUserLocation {    
        [map setShowsUserLocation:YES];

        CLLocationCoordinate2D coord;
        coord.latitude = 39.0;
        coord.longitude = -105.0;
        
        MKCoordinateRegion r = MKCoordinateRegionMakeWithDistance(coord, 1000, 1000);
        
        [map setRegion:r animated:YES];
    }

    - (void) viewWillAppear:(BOOL)animated {
        [super viewWillAppear:animated];
        
        BOOL firstTime = NO;
        if (! map) {
            firstTime = YES;
            CGRect r = CGRectMake(20, 50, 196, 75);
            map = [[MKMapView alloc] initWithFrame:r];
            
            defaultRegion = MKCoordinateRegionMake(map.centerCoordinate, MKCoordinateSpanMake(180, 360));
            //defaultRegion = MKCoordinateRegionForMapRect(MKMapRectWorld);
        }
        
        [self.view addSubview:map];
        if (! firstTime) {
            [map setRegion:defaultRegion animated:YES];
        }
    }

    - (IBAction)annotateMap:(id)sender {
        //defaultRegion = MKCoordinateRegionMake(map.centerCoordinate, MKCoordinateSpanMake(180, 360));
        [self showUserLocation];
    }

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    [self configureView];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
